Lucene++ - a full-featured, c++ search engine
API Documentation

Data Structures | Namespaces
TopScoreDocCollector.h File Reference
`#include "TopDocsCollector.h"`

Go to the source code of this file.

## Data Structures

class | Lucene::TopScoreDocCollector
| A Collector implementation that collects the top-scoring hits, returning them as a TopDocs. This is used by IndexSearcher to implement TopDocs-based search. Hits are sorted by score descending and then (when the scores are tied) docID ascending. When you create an instance of this collector you should know in advance whether documents are going to be collected in doc Id order or not. More...

## Namespaces

| Lucene

clucene.sourceforge.net